Index: contrib/tools/random_check.sh
===================================================================
--- contrib/tools/random_check.sh	(revision 84b89095682304c2b8b70840e9e37e29cec9971e)
+++ contrib/tools/random_check.sh	(revision 33576fb20b0902abff071fed8dc9b715bb182b4b)
@@ -100,5 +100,5 @@
 	(
 		echo "  Cleaning after previous build." >&2
-		make distclean -j$PARALLELISM 2>&1 || exit 1
+		make distclean -j$JOBS 2>&1 || exit 1
 		
 		
@@ -110,5 +110,5 @@
 		while true; do
 			RETRIES=$(( $RETRIES + 1 ))
-			if [ $RETRIES -ge 20 ]; then
+			if [ $RETRIES -ge $MAX_RETRIES ]; then
 				echo "  Failed to generate random configuration with given constraints after $RETRIES tries." >&2
 				exit 2
@@ -144,5 +144,5 @@
 		echo -n "  Building ($BASIC_CONFIG)... " >&2
 	
-		make -j$PARALLELISM 2>&1
+		make -j$JOBS 2>&1
 		if [ $? -eq 0 ]; then
 			echo "okay." >&2
